This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 338591 - setools update has bad architectural dependencies
setools update has bad architectural dependencies
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setools (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chris PeBenito
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 14:58 EDT by Michal Jaegermann
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.3.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 15:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2007-10-18 14:58:27 EDT
Description of problem:

With the current set up rawhide updates 'yum update' does the following
on x86_64 machine (and no i386 packages installed):

Resolving Dependencies
--> Running transaction check
---> Package setools.x86_64 0:3.3.1-6.fc8 set to be updated
--> Processing Dependency: setools-libs-tcl = 3.3.1-6.fc8 for package: setools
---> Package setools-console.x86_64 0:3.3.1-6.fc8 set to be updated
---> Package setools-gui.x86_64 0:3.3.1-6.fc8 set to be updated
---> Package setools-libs.x86_64 0:3.3.1-6.fc8 set to be updated
--> Processing Dependency: libstdc++.so.6 for package: setools-libs
--> Running transaction check
---> Package libstdc++.i386 0:4.1.2-32 set to be updated
--> Processing Dependency: libc.so.6(GLIBC_2.2) for package: libstdc++
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: libstdc++
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: libstdc++
--> Processing Dependency: libgcc_s.so.1 for package: libstdc++
--> Processing Dependency: libc.so.6(GLIBC_2.1) for package: libstdc++
--> Processing Dependency: libgcc_s.so.1(GLIBC_2.0) for package: libstdc++
--> Processing Dependency: libc.so.6 for package: libstdc++
--> Processing Dependency: libgcc_s.so.1(GCC_4.2.0) for package: libstdc++
--> Processing Dependency: libgcc_s.so.1(GCC_3.0) for package: libstdc++
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: libstdc++
--> Processing Dependency: ld-linux.so.2 for package: libstdc++
--> Processing Dependency: ld-linux.so.2(GLIBC_2.3) for package: libstdc++
--> Processing Dependency: libc.so.6(GLIBC_2.3) for package: libstdc++
--> Processing Dependency: libm.so.6 for package: libstdc++
--> Processing Dependency: libgcc_s.so.1(GCC_3.3) for package: libstdc++
---> Package setools-libs-tcl.x86_64 0:3.3.1-6.fc8 set to be updated
--> Running transaction check
---> Package glibc.i386 0:2.7-1 set to be updated
---> Package libgcc.i386 0:4.1.2-32 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 setools                 x86_64     3.3.1-6.fc8      development       8.2 k
 setools-console         x86_64     3.3.1-6.fc8      development       355 k
 setools-gui             x86_64     3.3.1-6.fc8      development       279 k
 setools-libs            x86_64     3.3.1-6.fc8      development       440 k
Installing for dependencies:
 glibc                   i386       2.7-1            development       4.5 M
 libgcc                  i386       4.1.2-32         development        94 k
 libstdc++               i386       4.1.2-32         development       360 k
 setools-libs-tcl        x86_64     3.3.1-6.fc8      development       316 k

OK, let's try 'yum --exclude="*.i?86" update':
.....
Resolving Dependencies
--> Running transaction check
---> Package setools.x86_64 0:3.3.1-6.fc8 set to be updated
--> Processing Dependency: setools-libs-tcl = 3.3.1-6.fc8 for package: setools
---> Package setools-console.x86_64 0:3.3.1-6.fc8 set to be updated
---> Package setools-gui.x86_64 0:3.3.1-6.fc8 set to be updated
---> Package setools-libs.x86_64 0:3.3.1-6.fc8 set to be updated
--> Processing Dependency: libstdc++.so.6 for package: setools-libs
--> Running transaction check
---> Package setools-libs-tcl.x86_64 0:3.3.1-6.fc8 set to be updated
---> Package setools-libs.x86_64 0:3.3.1-6.fc8 set to be updated
--> Processing Dependency: libstdc++.so.6 for package: setools-libs
--> Finished Dependency Resolution
Error: Missing Dependency: libstdc++.so.6 is needed by package setools-libs

libstdc++-4.1.2-32.x86_64 is installed but this provides
'libstdc++.so.6()(64bit)' and 'libstdc++' but not 'libstdc++.so.6'.

Version-Release number of selected component (if applicable):
setools-3.3.1-6.fc8

How reproducible:
always
Comment 1 Chris PeBenito 2007-10-18 15:14:19 EDT
already fixed with setools-3.3.1-7.fc8

Note You need to log in before you can comment on or make changes to this bug.